Type to search.

Get the status for a data stream lifecycle

Auth

Get information about an index or data stream's current data stream lifecycle status, such as time since index creation, time since rollover, the lifecycle configuration managing the index, or any errors encountered during lifecycle execution.

About data stream lifecycle

Required privileges

Index privileges view_index_metadata

Path parameters

index union string | string[] required

Comma-separated list of index names to explain

Query parameters

include_defaults boolean · default: false

Indicates if the API should return the default values the system uses for the index's lifecycle

master_timeout union oneOf · default: 30s

The period to wait for a connection to the master node.

Values: -1 0

Response

application/json
indices map string to object required
<string> object
index string required
managed_by_lifecycle boolean required
index_creation_date_millis number
time_since_index_creation union oneOf
Values: -1 0
rollover_date_millis number
time_since_rollover union oneOf
Values: -1 0
generation_time union oneOf
Values: -1 0
error string
frozen_transition_status string
unmanaged_reason string